Bug 811787 - remove fdisk from installer/rescue image
remove fdisk from installer/rescue image
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 21:10 EDT by joshua
Modified: 2013-07-04 09:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 03:51:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-04-11 21:10:56 EDT
Description of problem:

fdisk doesn't address most of today's new disks or GPTs.  Please remove it from the installer


Version-Release number of selected component (if applicable):

All Fedora 17 installer / rescue images
Comment 1 Brian Lane 2012-04-12 10:27:50 EDT
fdisk is part of a larger package of tools and is very likely to be needed by some that don't need all of gdisk's functionality. I don't see any benefit in removing it.
Comment 2 joshua 2012-04-12 10:58:37 EDT
Interesting.  I thought though that parted did everything that fdisk did... does it not?
Comment 3 Brian Lane 2012-04-12 12:42:57 EDT
More. But I'm sure there are still people who expect fdisk to be available, either for rescue or for use in kickstarts.
Comment 4 Martin Gracik 2012-04-13 03:51:58 EDT
I like fdisk.

Note You need to log in before you can comment on or make changes to this bug.